<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddWechatToStudentTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('students', function (Blueprint $table) {
            $table->string('avatar_url', 200)->nullable()->after('id')->comment('avatar_url');
            $table->string('country', 200)->nullable()->after('id')->comment('country');
            $table->string('province', 200)->nullable()->after('id')->comment('province');
            $table->string('city', 200)->nullable()->after('id')->comment('city');
            $table->string('gender', 200)->nullable()->after('id')->comment('gender');
            $table->string('nickname', 200)->nullable()->after('id')->comment('nickname');
            $table->string('open_id', 200)->nullable()->after('id')->comment('open_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
